package com.mdtexfx.processors.highlighters;

import com.mdtexfx.io.MediaType;
import org.fxmisc.richtext.StyleClassedTextArea;

public class HighlighterFactory {
  public static SyntaxHighlighter create(
      final MediaType mediaType, final StyleClassedTextArea editor ) {
    return switch( mediaType ) {
      case TEXT_MARKDOWN -> new MarkdownHighlighter( editor );
      case UNDEFINED -> new PlaintextHighlighter();
    };
  }
}
